fanny.object {cluster} | R Documentation

## Fuzzy Analysis (FANNY) Object

### Description

The objects of class `"fanny"` represent a fuzzy clustering of a dataset.

### Value

A legitimate `fanny` object is a list with the following components:

`membership` | matrix containing the memberships for each pair consisting of an observation and a cluster.

`coeff`

Dunn's partition coefficient F(k) of the clustering, where k is the number of clusters. F(k) is the sum of all squared membership coefficients, divided by the number of observations. Its value is always between 1/k and 1.
The normalized form of the coefficient is also given. It is defined as (F(k) - 1/k) / (1 - 1/k), and ranges between 0 and 1. A low value of Dunn's coefficient indicates a very fuzzy clustering, whereas a value close to 1 indicates a near-crisp clustering.

`clustering` | the clustering vector of the nearest crisp clustering, see `partition.object`.
`objective` | the objective function and the number of iterations the `fanny` algorithm needed to reach this minimal value.
`diss` | an object of class `"dissimilarity"`, see `partition.object`.
`call` | generating call, see `partition.object`.
`silinfo` | list with silhouette information of the nearest crisp clustering, see `partition.object`.
`data` | matrix, possibibly standardized, or NULL, see `partition.object`.

### GENERATION

These objects are returned from `fanny`.

### METHODS

The `"fanny"` class has methods for the following generic functions: `print`, `summary`.

### INHERITANCE

The class `"fanny"` inherits from `"partition"`. Therefore, the generic functions `plot` and `clusplot` can be used on a `fanny` object.

### See Also

`fanny`, `dissimilarity.object`, `partition.object`, `plot.partition`.

[Package Contents]